Bug 509841 - Build bug incorrectly links libraries
Summary: Build bug incorrectly links libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba4
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-06 14:06 UTC by Simo Sorce
Modified: 2009-07-22 22:02 UTC (History)
2 users (show)

Fixed In Version: 1.1.5-0.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-22 21:59:54 UTC


Attachments (Terms of Use)

Description Simo Sorce 2009-07-06 14:06:44 UTC
When we build libtalloc and other libs at the same time, the samba4 build scripts fail to build the libraris in samba4-libs with libtalloc dynamically linked. Instead they embed a copy of talloc statically linked in.
This can cause serious issues if libtalloc is later updated to a new version because users like openchange libraries will import both the static version through these libraries and the dynamic version through libldb or libtevent.

The fix is to split the build and make samba4 depend on libtalloc-devel so that the dependency is properly detected. The split already happend in rawhide and the package built fine there.

Comment 1 Matthew Barnes 2009-07-06 14:49:45 UTC
You're already all over this, so reassigning to you.

Comment 2 Simo Sorce 2009-07-07 00:38:57 UTC
FYI I am not pushing new packages because I found out the build problem extends to all 4 libraries (talloc, tdb, tevent, ldb) in current F-11 packages.
Splitting out tdb and talloc solves the problem with these two libs, but doesn't fix tevent and ldb problems.

Comment 3 Simo Sorce 2009-07-07 21:37:22 UTC
apparently removing the static linking ot tevent and ldb from alpha7 is not possible, in that version internal dependencies require to compile ldb statically in and the build system seem to drag in tevent statically too.

Well have to do with fixing just the talloc and tdb inclusion for now.
The next upstream release should help fixing this problem.

Comment 4 Fedora Update System 2009-07-10 12:34:39 UTC
samba4-4.0.0-15alpha7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/samba4-4.0.0-15alpha7.fc11

Comment 5 Fedora Update System 2009-07-10 12:35:48 UTC
libtalloc-1.3.1-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtalloc-1.3.1-0.fc11

Comment 6 Fedora Update System 2009-07-10 12:36:18 UTC
libtdb-1.1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libtdb-1.1.5-0.fc11

Comment 7 Fedora Update System 2009-07-16 07:16:54 UTC
libtalloc-1.3.1-0.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtalloc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7631

Comment 8 Fedora Update System 2009-07-16 07:26:00 UTC
samba4-4.0.0-15alpha7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7664

Comment 9 Fedora Update System 2009-07-16 07:33:14 UTC
libtdb-1.1.5-0.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7685

Comment 10 Fedora Update System 2009-07-22 21:59:50 UTC
libtalloc-1.3.1-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-07-22 22:01:58 UTC
samba4-4.0.0-15alpha7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-07-22 22:02:23 UTC
libtdb-1.1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.